Skip to main content
GET
/
v3
/
translation_memories
List translation memories
curl --request GET \
  --url https://api.deepl.com/v3/translation_memories \
  --header 'Authorization: <api-key>'
{
  "translation_memories": [
    {
      "translation_memory_id": "a74d88fb-ed2a-4943-a664-a4512398b994",
      "name": "Legal",
      "source_language": "en",
      "target_languages": [
        "es",
        "de"
      ],
      "segment_count": 3542
    },
    {
      "translation_memory_id": "855d36ab-6112-4ef5-8868-0d69bc4d826a",
      "name": "Medical terms",
      "source_language": "de",
      "target_languages": [
        "fr",
        "ja",
        "zh"
      ],
      "segment_count": 23
    }
  ],
  "total_count": 2
}

Authorizations

Authorization
string
header
default:DeepL-Auth-Key
required

Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>

Query Parameters

page
integer
default:0

The index of the first page to return. Use with page_size to get the next page of translation memories.

page_size
integer
default:10

The maximum number of translation memories to return.

Required range: 1 <= x <= 25

Response

Returns a list of translation memories.

translation_memories
object[]
total_count
integer

The total number of translation memories available.

Example:

2